### Method

# Ggit Rebase next

#### Declaration [src]

    GgitRebaseOperation*
    ggit_rebase_next (
      GgitRebase* rebase
      GError** error
    )

#### Description [src]

Performs the next rebase operation and returns the information about it. If the operation is one that applies a patch (which is any operation except `GGIT_REBASE_OPERATION_EXEC`) then the patch will be applied and the index and working directory will be updated with the changes. If there are conflicts, you will need to address those before committing the changes.

#### Return value

Type: `GgitRebaseOperation`

The rebase operation that is to be performed next or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.